Folders
List the space root
List the folders and documents at the root of a Space.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
space_id*string
Resource identifier: space_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/spaces/123e4567-e89b-42d3-a456-426614174000/contents"{ "space_id": "123e4567-e89b-42d3-a456-426614174000", "folder_id": "123e4567-e89b-42d3-a456-426614174000", "path": "/", "folders": [ { "id": "123e4567-e89b-42d3-a456-426614174000", "space_id": "123e4567-e89b-42d3-a456-426614174000", "parent_id": "123e4567-e89b-42d3-a456-426614174000", "name": "Customer documents", "path": "/", "created_at": "2026-09-04T12:00:00Z", "document_count": 0, "child_folder_count": 0, "total_size": 0 } ], "documents": [ { "id": "123e4567-e89b-42d3-a456-426614174000", "tenant_id": "123e4567-e89b-42d3-a456-426614174000", "workspace_id": "123e4567-e89b-42d3-a456-426614174000", "space_id": "123e4567-e89b-42d3-a456-426614174000", "folder_id": "123e4567-e89b-42d3-a456-426614174000", "uploaded_by": { "id": "123e4567-e89b-42d3-a456-426614174000", "name": "Customer documents" }, "file_name": "invoice-2026-09.pdf", "content_type": "application/pdf", "file_size": 0, "storage_key": "tenants/acme/customer-documents/invoice-2026-09.pdf", "status": "PENDING_UPLOAD", "created_at": "2026-09-04T12:00:00Z", "doc_origin": "UPLOADED", "live_content_type": "MARKDOWN", "has_active_collab_session": false, "has_content": false } ]}